Subject: Re: bug#30093: Installing python-ipython breaks Gnome on Fedora.

From: Fis Trivial <[email-masked]>
Date: Sat, 13 Jan 2018 21:39:49 +0000

I tried to find out which environment variable is responsible for breaking
the gnome shell by disabling them in ~/.guix-profile/etc/profile one at a time.

It turns out to be the *GI_TYPELIB_PATH*. After commenting it out in the profile
file my system works as usual.

But then, this variable is not exported by installing ipython(otherwise it will
let me know in the prompt after installation right?), so my guess would be
installing ipython brings in typelib of Gtk, then gnome used the wrong .typelib
file and crashed.